package com.mvc.dao;

import com.mvc.entity.TExtendIdent;
import com.mvc.entity.TExtendIdentExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TExtendIdentMapper {
    long countByExample(TExtendIdentExample example);

    int deleteByExample(TExtendIdentExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TExtendIdent record);

    int insertSelective(TExtendIdent record);

    List<TExtendIdent> selectByExample(TExtendIdentExample example);

    TExtendIdent selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TExtendIdent record, @Param("example") TExtendIdentExample example);

    int updateByExample(@Param("record") TExtendIdent record, @Param("example") TExtendIdentExample example);

    int updateByPrimaryKeySelective(TExtendIdent record);

    int updateByPrimaryKey(TExtendIdent record);
}